Categories:
  - Internet
License: GPL-3.0-or-later
SourceCode: https://gitlab.com/dboddie/weather-forecast

RepoType: git
Repo: https://gitlab.com/dboddie/weather-forecast

Builds:
  - versionName: 1.0.2
    versionCode: 102
    commit: 1.0.2
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y python-crypto python-pygments markdown python-markdown
        imagemagick pngquant python-cairosvg
    output: output.apk
    srclibs:
      - duck@1.0.3
    build: PYTHONPATH=$$duck$$ ./build.py output.apk

  - versionName: 1.0.4
    versionCode: 104
    commit: 1.0.4
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y python-crypto python-pygments markdown python-markdown
        imagemagick pngquant python-cairosvg
    output: output.apk
    srclibs:
      - duck@1.0.3
    build: PYTHONPATH=$$duck$$ ./build.py output.apk

  - versionName: 1.0.5
    versionCode: 105
    commit: 1.0.5
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y python-crypto python-pygments markdown python-markdown
        imagemagick pngquant python-cairosvg
    output: output.apk
    srclibs:
      - duck@1.0.3
    build: PYTHONPATH=$$duck$$ ./build.py output.apk

  - versionName: 1.0.6
    versionCode: 106
    commit: 1.0.6
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y python-crypto python-pygments markdown python-markdown
        imagemagick pngquant python-cairosvg
    output: output.apk
    srclibs:
      - duck@1.0.3
    build: PYTHONPATH=$$duck$$ ./build.py output.apk

  - versionName: 1.0.8
    versionCode: 108
    commit: 1.0.8
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y python-crypto python-pygments markdown python-markdown
        imagemagick pngquant python-cairosvg
    output: output.apk
    srclibs:
      - duck@1.0.3
    build: PYTHONPATH=$$duck$$ ./build.py output.apk

  - versionName: 1.0.9
    versionCode: 109
    commit: 1.0.9
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y python-crypto python-pygments markdown python-markdown
        imagemagick pngquant python-cairosvg
    output: output.apk
    srclibs:
      - duck@1.0.3
    build: PYTHONPATH=$$duck$$ ./build.py output.apk

  - versionName: 1.1.0
    versionCode: 110
    commit: 1.1.0
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y python-crypto python-pygments markdown python-markdown
        imagemagick pngquant python-cairosvg
    output: output.apk
    srclibs:
      - duck@1.0.3
    build: PYTHONPATH=$$duck$$ ./build.py output.apk

  - versionName: 1.3.0
    versionCode: 130
    commit: 1.3.0
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y python-crypto python-pygments markdown python-markdown
        imagemagick pngquant python-cairosvg
    output: output.apk
    srclibs:
      - duck-git@1.0.4
    prebuild:
      - pushd $$duck-git$$
      - git reset --hard `cat ../../uk.org.boddie.android.weatherforecast/deps/DUCK`
      - popd
    build: PYTHONPATH=$$duck-git$$ ./build.py output.apk

  - versionName: 1.4.1
    versionCode: 141
    disable: Broken srclib dependency
    commit: 1.4.1
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y python-crypto python-pygments markdown python-markdown
        imagemagick pngquant python-cairosvg
    output: output.apk
    srclibs:
      - duck-git@1.0.5
    prebuild:
      - pushd $$duck-git$$
      - git reset --hard `cat ../../uk.org.boddie.android.weatherforecast/deps/DUCK`
      - popd
    build: PYTHONPATH=$$duck-git$$ ./build.py output.apk

  - versionName: 1.4.2
    versionCode: 142
    commit: 1.4.2
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y python-crypto python-pygments markdown python-markdown
        imagemagick pngquant python-cairosvg
    output: output.apk
    srclibs:
      - duck-git@1.0.6
    prebuild:
      - pushd $$duck-git$$
      - git reset --hard `cat ../../uk.org.boddie.android.weatherforecast/deps/DUCK`
      - popd
    build: PYTHONPATH=$$duck-git$$ ./build.py output.apk

  - versionName: 1.5.0
    versionCode: 150
    commit: 1.5.0
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y python-crypto python-pygments markdown python-markdown
        imagemagick pngquant python-cairosvg
    output: output.apk
    srclibs:
      - duck-git@1.0.7
    prebuild:
      - pushd $$duck-git$$
      - git reset --hard `cat ../../uk.org.boddie.android.weatherforecast/deps/DUCK`
      - popd
    build: PYTHONPATH=$$duck-git$$ ./build.py output.apk

  - versionName: 1.5.2
    versionCode: 152
    commit: 1.5.2
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y python-crypto python-pygments markdown python-markdown
        imagemagick pngquant python-cairosvg
    output: output.apk
    srclibs:
      - duck-git@1.0.7
    prebuild:
      - pushd $$duck-git$$
      - git reset --hard `cat ../../uk.org.boddie.android.weatherforecast/deps/DUCK`
      - popd
    build: PYTHONPATH=$$duck-git$$ ./build.py output.apk

  - versionName: 1.5.3
    versionCode: 153
    commit: 1.5.3
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y python-crypto python-pygments markdown python-markdown
        imagemagick pngquant python-cairosvg
    output: output.apk
    srclibs:
      - duck-git@1.0.7
    prebuild:
      - pushd $$duck-git$$
      - git reset --hard `cat ../../uk.org.boddie.android.weatherforecast/deps/DUCK`
      - popd
    build: PYTHONPATH=$$duck-git$$ ./build.py output.apk

  - versionName: 1.5.4
    versionCode: 154
    commit: 1.5.4
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y python-crypto python-pygments markdown python-markdown
        imagemagick pngquant python-cairosvg
    output: output.apk
    srclibs:
      - duck-git@1.0.7
    prebuild:
      - pushd $$duck-git$$
      - git reset --hard `cat ../../uk.org.boddie.android.weatherforecast/deps/DUCK`
      - popd
    build: PYTHONPATH=$$duck-git$$ ./build.py output.apk

  - versionName: 1.5.5
    versionCode: 155
    commit: 1.5.5
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y python-crypto python-pygments markdown python-markdown
        imagemagick pngquant python-cairosvg
    output: output.apk
    srclibs:
      - duck-git@1.0.7
    prebuild:
      - pushd $$duck-git$$
      - git reset --hard `cat ../../uk.org.boddie.android.weatherforecast/deps/DUCK`
      - popd
    build: PYTHONPATH=$$duck-git$$ ./build.py output.apk

  - versionName: 1.5.6
    versionCode: 156
    commit: 1.5.6
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y python-crypto python-pygments markdown python-markdown
        imagemagick pngquant python-cairosvg
    output: output.apk
    srclibs:
      - duck-git@1.0.7
    prebuild:
      - pushd $$duck-git$$
      - git reset --hard `cat ../../uk.org.boddie.android.weatherforecast/deps/DUCK`
      - popd
    build: PYTHONPATH=$$duck-git$$ ./build.py output.apk

  - versionName: 1.6.4
    versionCode: 164
    commit: 1.6.4
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y python-crypto python-pygments markdown python-markdown
        imagemagick pngquant python-cairosvg
    output: output.apk
    srclibs:
      - duck-git@1.0.7
    prebuild:
      - pushd $$duck-git$$
      - git reset --hard `cat ../../uk.org.boddie.android.weatherforecast/deps/DUCK`
      - popd
    build: PYTHONPATH=$$duck-git$$ ./build.py output.apk

MaintainerNotes: |-
    From version 1.3.0, the app handles its own dependencies during the build,
    using the prebuild step to take a specific version of DUCK then update it
    to the version given in the app's deps/DUCK file.

AutoUpdateMode: Version %v
UpdateCheckMode: HTTP
UpdateCheckData: https://gitlab.com/dboddie/weather-forecast/-/raw/master/build.py|version_code
    = "(.*)"|.|version = "(.*)"
CurrentVersion: 1.6.4
CurrentVersionCode: 164
